#
# spec file for package arts (Version 1.1.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile autoconf automake glib2 glib2-devel libogg libogg-devel libvorbis libvorbis-devel pkgconfig qt3-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libstdc++-devel libtool libvorbis libvorbis-devel mesa mesaglut mesaglut-devel perl pkgconfig qt3 qt3-devel rpm update-desktop-files

Name:         arts
License:      GPL, Other License(s), see package
Group:        Productivity/Multimedia/Sound/Players
Obsoletes:    kdelibs3-artsd
Provides:     kdelibs3-artsd kdelibs-artsd
Summary:      Modular software synthesizer
Version:      1.1.4
Release:      48
Source0:      %{name}-%{version}.tar.bz2
Source1:      admin.tar.bz2
Patch1:       admin.diff
Patch2:       x86-64-fix.dif
Patch3:       fix-64bit.diff
Patch4:       arts_geteuid.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
A modular software synthesizer that generates realtime audio streams,
includes midi-support, is easily extendable, and uses CORBA for
seperation of GUI and synthesis.



Authors:
--------
    Stefan Westerfeld <stefan@space.twc.de>

%package devel
# usefiles /opt/kde3/bin/artsc-config /opt/kde3/bin/mcopidl
Summary:      Modular software synthesizer
Group:        Development/Libraries/Other
Provides:     kdelibs3:/opt/kde3/include/artsc/artsc.h
Requires:     qt3-devel arts = %version
%ifnarch s390 s390x
Requires:     alsa-devel
%endif

%description devel
Modular software synthesizer, generates realtime audio stream,
midi-support, easily extendable, uses CORBA for seperation of gui and
synthesis.



Authors:
--------
    Stefan Westerfeld <stefan@space.twc.de>

%package gmcop
# usesubdirs gmcop
Summary:      Modular software synthesizer
Group:        Productivity/Multimedia/Sound/Players

%description gmcop
Modular software synthesizer, generates realtime audio stream,
midi-support, easily extendable, uses CORBA for seperation of gui and
synthesis.



Authors:
--------
    Stefan Westerfeld <stefan@space.twc.de>

%prep
%setup -q
%if %suse_version > 800
%patch2
%endif
%patch3
%patch4
rm -rf admin
bunzip2 -cd %{SOURCE1} | tar xfv -
%if %suse_version > 820
%patch1
%endif
make -f admin/Makefile.common cvs

%build
FLAGS="--with-alsa"
%ifarch s390 alpha
   FLAGS="--without-alsa "
%endif
%if %suse_version > 730
   FLAGS="$FLAGS --disable-rpath"
%endif
%if %suse_version > 820
export PKG_CONFIG_PATH=/opt/gnome/%_lib/pkgconfig/
%endif
# mad mad-devel is missing in #needforbuild, since gsl gets not installed
# check this again for 1.1
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
%ifnarch armv4l
    --enable-final \
%endif
    $FLAGS \
    --enable-threading  \
    --prefix=/opt/kde3 \
    --with-qt-dir=/usr/lib/qt3 \
    --libdir=/opt/kde3/%_lib \
    --with-qt-libraries=/usr/lib/qt3/%_lib 
%ifarch %ix86
# I trust in arts runtime checking ...
echo "#define HAVE_X86_SSE 1" >> config.h
%endif
# broken automake ?
make -C flow/gsl gslconfig.h
# broken automake ?
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%ifarch x86_64 s390x
mkdir -p $RPM_BUILD_ROOT/opt/kde3/lib/
ln -sf ../lib64/mcop $RPM_BUILD_ROOT/opt/kde3/lib/mcop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post gmcop
%run_ldconfig

%postun gmcop
%run_ldconfig

%files
%defattr(-,root,root,755)
%doc COPYING.LIB COPYING
%dir /opt/kde3
%dir /opt/kde3/bin
/opt/kde3/bin/testdhandle
/opt/kde3/bin/artscat
/opt/kde3/bin/arts[dpsr]*
%attr(4755,root,root) /opt/kde3/bin/artswrapper
%dir /opt/kde3/%_lib
/opt/kde3/%_lib/libarts*
/opt/kde3/%_lib/libkmedia2*
/opt/kde3/%_lib/libmcop*
/opt/kde3/%_lib/libqtmcop.*
/opt/kde3/%_lib/libsoundserver_idl.*
/opt/kde3/%_lib/libx11globalcomm.*
/opt/kde3/%_lib/mcop
%ifarch x86_64 s390x
/opt/kde3/lib
%endif
%if %suse_version > 800

%files gmcop
%defattr(-,root,root)
/opt/kde3/%_lib/libgmcop.*
%endif

%files devel
%defattr(-,root,root)
/opt/kde3/bin/artsc-config
/opt/kde3/bin/mcopidl
%dir /opt/kde3/include
/opt/kde3/include/*

%changelog -n arts
* Fri Jul 23 2004 - adrian@suse.de
- fix a security issue in temp file handling (by Waldo #42486)
* Fri Oct 24 2003 - adrian@suse.de
- fix 32bit<>64bit incompatibility. 32bit apps are able to use
  a 64bit artsd now.
* Mon Sep 08 2003 - adrian@suse.de
- update to version 3.1.4
* Tue Sep 02 2003 - coolo@suse.de
- fixing artsdsp (most likely cause for #29358)
* Wed Aug 20 2003 - adrian@suse.de
- fix again for x86_64 (based on Takashis patch)
- prefer alsa over oss, if avaible
* Tue Jul 29 2003 - adrian@suse.de
- fix build on lib64
* Tue Jul 29 2003 - adrian@suse.de
- add support for gmcop again
- fix build for < 8.0
* Tue Jul 22 2003 - coolo@suse.de
- don't strip
* Thu Jul 17 2003 - adrian@suse.de
- remove temporary hacks again
* Tue Jul 15 2003 - adrian@suse.de
- update to version 1.1.3 (KDE 3.1.3)
- add some temporary hacks for > 8.2 (qt 3.2)
* Thu Jun 12 2003 - coolo@suse.de
- package directories
- run ldconfig like mad
* Wed May 07 2003 - adrian@suse.de
- update to version 1.1.2 (for KDE 3.1.2)
* Thu Apr 10 2003 - adrian@suse.de
- fix build for 8.0
* Tue Apr 08 2003 - ro@suse.de
- fix head calling syntax in admin tarball
* Tue Mar 11 2003 - adrian@suse.de
- update to version 1.1.1 second try
  * minor memory/crash fix
- sync admin tar ball with kdelibs
* Tue Mar 04 2003 - adrian@suse.de
- add missing Provides kdelibs-artsd
* Mon Mar 03 2003 - coolo@suse.de
- fixing configure check for non-32bit architectures
* Mon Mar 03 2003 - adrian@suse.de
- update to version 1.1.1
  * all changes were already in 1_1_BRANCH patch
* Mon Feb 24 2003 - adrian@suse.de
- remove -mminimal-toc
* Fri Jan 17 2003 - adrian@suse.de
- use official 1.1 tar ball, which will be released with KDE 3.1
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Sat Nov 23 2002 - adrian@suse.de
- fix build for < SuSE 8.1
* Tue Nov 19 2002 - adrian@suse.de
- update to version 1.1.0-final
- fix build on x86_64
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Mon Oct 07 2002 - adrian@suse.de
- update to version 3.0.4
* Thu Aug 08 2002 - adrian@suse.de
- fix configure parameters
* Wed Aug 07 2002 - adrian@suse.de
- update to new 1.0.3 tar ball which comes with KDE 3.0.3
- update admin tar ball
* Wed Jul 31 2002 - tiwai@suse.de
- fixed weird sound output on x86-64 (bug #17295).
* Tue Jul 23 2002 - adrian@suse.de
- add support for gnome/glib 2.0 in -gmcop subpackage
- add support for vorbis
* Wed Jul 17 2002 - meissner@suse.de
- compile with -mminimal-toc on ppc64
* Mon Jul 08 2002 - adrian@suse.de
- fix security problem with arts
  * update to 1.0.3:
  using setuid instead of seteuid in artswrapper, so a exploited
  artsd can not get root again.
* Thu Jun 27 2002 - adrian@suse.de
- move mcopidl to -devel package
- use %%run_ldconfig
* Mon Jun 24 2002 - adrian@suse.de
- update to version 1.0.2
* Wed Jun 19 2002 - uli@suse.de
- disable final on ARM
* Fri Jun 07 2002 - adrian@suse.de
- use same admin tar ball as in kdelibs3
- using fixed libtool for -m32/-m64 (fixed by matz)
* Thu May 09 2002 - adrian@suse.de
- update to version 1.0.1 (part of KDE 3.0.1 bug-fix release)
* Thu May 02 2002 - meissner@suse.de
- enhanced varargs handling to be more generic (using __va_copy)
* Tue Apr 02 2002 - ro@suse.de
- work around automake problem
* Mon Mar 25 2002 - adrian@suse.de
- use second try of version 1.0.0
* Mon Mar 25 2002 - adrian@suse.de
- update to version 1.0.0 (KDE 3.0 final)
* Thu Mar 21 2002 - adrian@suse.de
- update to version 0.9.9 (for KDE 3.0rc3)
* Sun Mar 10 2002 - adrian@suse.de
- update to version 0.9.8 (for KDE 3.0rc2)
* Mon Mar 04 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002030321
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002021810
* Thu Feb 14 2002 - adrian@suse.de
- update to snapshot 0.7.1.2002021421
* Wed Feb 13 2002 - adrian@suse.de
- split arts from kdelibs3 package
- using a 0.7.1 snapshot
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Mon Feb 04 2002 - adrian@suse.de
- update to 2.92 (KDE 3.0 beta 2)
- create common_compile_flags file
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot from 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- add missing header files
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Sat Jan 05 2002 - adrian@suse.de
- update to recent/todays snapshot
- disable rpath for SuSE > 7.3
  (/opt/kde3/lib is in ld.so.conf)
- add Requires: line for at least Qt 3.0.1
* Mon Dec 17 2001 - adrian@suse.de
- fix compile on s390
- add fix for khtml seg fault
- do not build documentation for <7.3 distributions until kdoc
  is fixed
* Wed Dec 12 2001 - adrian@suse.de
- update to KDE 3.0 Beta 1
* Tue Dec 04 2001 - adrian@suse.de
- use current CVS snapshot
* Fri Nov 02 2001 - adrian@suse.de
- using cvs snapshot from 01 Nov 2001
* Sat Oct 20 2001 - adrian@suse.de
- using newer cvs-snapshot
  (compiles again with qt 3 final)
* Tue Oct 09 2001 - adrian@suse.de
- branch to first kdelibs 3 (alpha 1)
* Mon Sep 24 2001 - adrian@suse.de
- add security fix for peer-ssl from Dirk
- add fix to make it possible to allow JS from local pages
* Fri Sep 21 2001 - adrian@suse.de
- add fix for kbuildsycoca --incremental from Waldo
  (changed files (due to updated packages or a SuSEconfig run for
  example) do not lead anymore to an incorrect ksycoca database.
* Tue Sep 18 2001 - adrian@suse.de
- add symbolic link to /opt/kde2/doc/HTML/en/kdeapi
- #neededforbuild cups -> cups-libs
* Sat Sep 15 2001 - adrian@suse.de
- add klineedit fix
- add warning that kdDebug function is disabled (except for ppc)
- fix kdelibs-2.2.1.dif (do not apply patch for ppc-only global)
* Thu Sep 13 2001 - adrian@suse.de
- add fix for kjs (octal parsing)
- add fix icondialog (custom icon directorys)
- fix ia64 patch
* Tue Sep 11 2001 - adrian@suse.de
- add security fixes for kssl (do not save keys on disk)
- add Qt API to the API index page
* Mon Sep 10 2001 - adrian@suse.de
- update to to second try of kdelibs 2.2.1 tar ball
  * JavaScript fixes
- fix ia64 workarounds to build on older distris
* Sun Sep 09 2001 - schwab@suse.de
- Fix specfile for ia64 workarounds.
* Sat Sep 08 2001 - adrian@suse.de
- updating to final 2.2.1 tar ball
* Sun Sep 02 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 02.09.2001
  * compile fixes
  * KFile crash fix
  * KDockWidget crash fix, caused crash in quanta
  * fix login with chars in password >127
  * load charsets file on demand
  * kxmlgui fixed to read really the complete xml file.
- drop -cups package, the cups libs are now splitted from the cups
  package.
- add kmimetype hack to get a fallback application for device icons
- make KDE quiet by default (kdDebug default value is 4 now)
* Tue Aug 28 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 28.08.2001
  * fix kspell for iso 13 languages
  * fix $PATH for kdesu
  * check the preview action in setPreviewWidget()
  * check for aborted save
  * official patch for kbuildsycoca
  * kfile fixes
  * crash fixes in userstylesheets
  * large file system support fix
  * crash fix in kbugreport
- removed patches for kbuildsycoca and large file support
* Sat Aug 25 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 25.08.2001
  * khtml supports <META http-equiv="Cache-Control" content="no-cache">
  * kded updates
  * translation updates
- kbuildsycoca speed optimisation
  (original patch from Lubos Lunak, reworked to be BC)
* Tue Aug 21 2001 - adrian@suse.de
- using KDE_2_2_BRANCH from 21.08.2001
  * html parser fixes
  * artsd fixes
  * ...
- disable FAM by default, it can be enabled with
  export USE_FAM=1
- disable and obsolete -i686 package, until the number of problems
  are solved
* Mon Aug 06 2001 - adrian@suse.de
- add assert into khtml/misc/loader.cpp as recomended by Dirk
- switch on SSE support in i386 architecture
  (arts has a runtime checking)
- clean up file list
- ia64 workarounds
* Mon Aug 06 2001 - adrian@suse.de
- update to final 2.2
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2rc1
* Fri Jul 06 2001 - adrian@suse.de
- generate API documentation
  (no need to install kdevelop for api docu anymore)
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon May 28 2001 - adrian@suse.de
- 2.2alpha2
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Apr 13 2001 - adrian@suse.de
- add currency symbol to KFontDialog preview for testing purposes
* Tue Apr 10 2001 - adrian@suse.de
- revert also kdeinit changes (compile fix)
- add fixes for javascript from CVS
- add fixes for font name mapping from CVS
- add kdeinit_shutdown patch from Waldo
* Tue Apr 10 2001 - adrian@suse.de
- minor fix, but hopefully fix linker problems on all P-II systems
* Mon Apr 09 2001 - adrian@suse.de
- disable alsa for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- drop the -nostdlib flag during linking. this causes problems
  (since not all need libs are used) on some architectures
- -O2 for axp
* Thu Apr 05 2001 - adrian@suse.de
- update to 2_1_BRANCH.
  this fixes the proxy server authentication problem
* Wed Mar 28 2001 - adrian@suse.de
- disable ssl support for 7.0-ppc
  (problems with the compiler and linker, which can not be fixed
  without to loss the BC)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- enable -O2 for ppc
  using inline gcc bug workaround for ia64
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Mon Mar 19 2001 - adrian@suse.de
- update to current 2_1_BRANCH
  we have kde-config as executable binary back
  (lots of configure scripts test this)
* Mon Mar 19 2001 - adrian@suse.de
- add cyrus-sassl to #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- added missing packages in #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- fix CATALOG for distributions <7.2
  update to current 2_1_0_TAG
* Tue Mar 13 2001 - ro@suse.de
- added CATALOG for docbook_3
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- the final final 2.1.0 tar ball ...
* Wed Feb 21 2001 - adrian@suse.de
- use the right KDE BRANCH (not my fault ;-)
* Wed Feb 21 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 22 2001 - stepan@suse.de
- alpha axp compile fixes for gcc 2.95.2
* Tue Jan 16 2001 - adrian@suse.de
- add a check of return value in kprocess.
  Hopefully no crashes anymore.
* Mon Jan 15 2001 - adrian@suse.de
- disable --enable-final until the glibc/compiler problem in
  kprocess is fixed
* Mon Jan 15 2001 - adrian@suse.de
- fix index.desktop for distris <7.1
* Sat Jan 13 2001 - adrian@suse.de
- fix local support in kicker. native language again in menus
  this fix does not work for chinese people
  fix index.desktop in highcolor, 22x22 actions icons can be loaded
  again
* Fri Jan 12 2001 - adrian@suse.de
- create some links to see the konqueror gear again
  fix hicolor index file
* Tue Jan 09 2001 - adrian@suse.de
- added security fix for kdesu from Waldo
* Mon Jan 08 2001 - adrian@suse.de
- fix SuSE icon description
* Sun Jan 07 2001 - adrian@suse.de
- use additional pathes, to not conflict with older pathes
* Sun Jan 07 2001 - adrian@suse.de
- new icon handling. much more clean now and the
  dependencie to icons is not needed anymore
* Sat Jan 06 2001 - adrian@suse.de
- fix locale support.
  LANG=de_DE or LANG=de_DE.utf-8 is working now.
* Tue Jan 02 2001 - adrian@suse.de
- added a fix for font handling, if antialising is used
  (Thanks Kurt)
* Mon Jan 01 2001 - adrian@suse.de
- remove charset for german. this confuses the font handling
  added fix for stalled, but broken connections; thanks waldo
* Sat Dec 30 2000 - adrian@suse.de
- extend rpm mimelnk for *.spm files
  disabled threading
* Wed Dec 27 2000 - adrian@suse.de
- drop message in kdeinit, which produce a lot of invalid bugzilla entrys
* Wed Dec 20 2000 - adrian@suse.de
- added openssl-devel for #neededforbuild
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links back to kdelibs :-(
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links from this package to kdebase
* Fri Dec 15 2000 - adrian@suse.de
- brown paper bag fix ... I spend Rudi a beer ...
* Fri Dec 15 2000 - adrian@suse.de
- added icon packages to #neededforbuild
* Thu Dec 14 2000 - adrian@suse.de
- fixed specfile
* Wed Dec 13 2000 - adrian@suse.de
- fixed icon links
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Wed Nov 29 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - ro@suse.de
- remove penguin.png (in kdebase)
* Tue Nov 21 2000 - adrian@suse.de
- fixed /etc/kderc
* Tue Nov 21 2000 - adrian@suse.de
- added icon support for non kde icons
  added /etc/kderc
  ~/Desktop -> ~/KDesktop
* Thu Nov 16 2000 - adrian@suse.de
- update to newer snapshot from KDE_2_0_BRANCH
  fixed sgml catalog file for our sgml enviroment
* Fri Nov 03 2000 - adrian@suse.de
- fixed needed for build
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
- changed default for ~/.kde to ~/.kde2
- dropped klibs2i and klibs2cr again
- splitted package in
  * kdelibs
  * kdelibs-devel
* Wed Sep 20 2000 - adrian@suse.de
- the last fix :-(
* Sun Sep 17 2000 - adrian@suse.de
- splited klibs2 into klibs2, klibs2i (international version
  without crypt support) and klibs2cr (crypt version)
* Sat Sep 16 2000 - adrian@suse.de
- removed ssl/ssh support
  added big endian fix in KPixmap
* Tue Sep 12 2000 - adrian@suse.de
- changed to -O0 for ppc and alpha
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Mon Jul 24 2000 - adrian@suse.de
- update to second version of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdelibs-1.91.20000706.tar.gz by autospec
* Fri Jun 09 2000 - adrian@suse.de
- correct neededforbuild and updated khtml
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90
* Thu Apr 27 2000 - adrian@suse.de
- snapshot from 25.04.2000
* Thu Apr 20 2000 - adrian@suse.de
- fixed file list
* Wed Apr 19 2000 - adrian@suse.de
- snapshot from 17.04.2000
* Thu Apr 06 2000 - adrian@suse.de
- snapshot from 06.04.2000
* Thu Mar 30 2000 - adrian@suse.de
- first KDE libs 2 package. PRE 1.90 Version
